Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200807-11 ] PeerCast: Buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1582

PostPosted: Mon Jul 21, 2008 8:26 pm    Post subject: [ GLSA 200807-11 ] PeerCast: Buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: PeerCast: Buffer overflow (GLSA 200807-11)
Severity: high
Exploitable: remote
Date: July 21, 2008
Bug(s): #220281
ID: 200807-11

Synopsis

A buffer overflow vulnerability in PeerCast may allow for the remote execution of arbitrary code.

Background

PeerCast is a client and server for P2P-radio networks.

Affected Packages

Package: media-sound/peercast
Vulnerable: < 0.1218-r1
Unaffected: >= 0.1218-r1
Architectures: All supported architectures


Description

Nico Golde reported a boundary error in the HTTP::getAuthUserPass() function when processing overly long HTTP Basic authentication requests.

Impact

A remote attacker could send a specially crafted HTTP request to the vulnerable server, possibly resulting in the remote execution of arbitrary code with the privileges of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All PeerCast users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-sound/peercast-0.1218-r1"


References

CVE-2008-2040


Last edited by GLSA on Mon Feb 09, 2009 4:18 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum